ONVIF::Device::Elements::SetSystemFactoryDefault(3)

NAME
ONVIF::Device::Elements::SetSystemFactoryDefault

DESCRIPTION
Perl data type class for the XML Schema defined element SetSystemFactoryDefault from the namespace http://www.onvif.org/ver10/device/wsdl.

PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   FactoryDefault

     $element->set_FactoryDefault($data);
     $element->get_FactoryDefault();

METHODS

  new
 my $element = ONVIF::Device::Elements::SetSystemFactoryDefault->new($data);

Constructor. The following data structure may be passed to new():

 {
   FactoryDefault => $some_value, # FactoryDefaultType
 },

AUTHOR
Generated by SOAP::WSDL